variable "vsphere_server" {
  type    = string
  default = "localhost"
}

variable "vsphere_user" {
  type    = string
  default = "administrator@vsphere.local"
}

variable "vsphere_password" {
  type      = string
  default   = "VMware1!"
  sensitive = true
}

variable "datacenter" {
  type    = string
  default = "Datacenter"
}

variable "vm_name" {
  type    = string
  default = "web-01"
}

variable "datastore" {
  type    = string
  default = "datastore1"
}

variable "cluster" {
  type    = string
  default = "Cluster"
}

variable "network" {
  type    = string
  default = "VM Network"
}

variable "create_lab_vm" {
  type    = bool
  default = false
}

variable "lab_vm_name" {
  type    = string
  default = "tf-lab-01"
}
